
CC	= gcc
LD	= ld
AR	= ar
CFLAGS	= -I../lib -I../matrix -DGO32 ${OPT_CFLAGS}
LDFLAGS	= @LDFLAGS
LDFLAGS2= @LDFLAGS2
LDFILES	= @LDFILES

SOBJS	= reader.o atrread.o objread.o scanner.o
OBJS	= main.o reader.o atrread.o objread.o scanner.o fary.o
LIBS	= ../matrix/matrix.a ../lib/lib.a 
SLIBS	= ../matrix/smatrix.a ../lib/slib.a 
HDRS	= _reader.h
SRCS	= reader.c atrread.c objread.c
CRT	= ../lib/crt32.o
LIBPATH	= c:\gcc\lib
all	: reader.h reader.dl reader.rel reader.a test

LDFLAGS	: makefile.go
	echo\ -Ttext 00001000 -Tdata 00200000 -L${LIBRARY_PATH} -lgcc -lm -lc -lpc > LDFLAGS

LDFLAGS2: makefile.go
	echo\ -Ttext 10801000 -Tdata 10A00000 -L${LIBRARY_PATH} -lgcc -lm -lc -lpc > LDFLAGS2

LDFILES	: makefile.go
	echo\ ${CRT} ${OBJS}	> LDFILES
	echo\ ../matrix/_matinit.o ../lib/_lib.a >> LDFILES

reader.dl: ${OBJS} ${CRT} LDFLAGS LDFILES
	${LD} -o reader.dl ${LDFILES} ${LDFLAGS}

reader.dl2: ${OBJS} ${CRT} LDFLAGS2 LDFILES
	${LD} -o reader.dl2 ${LDFILES} ${LDFLAGS2}

reader.rel: reader.dl reader.dl2
	rel reader

reader.h: ${SRCS}
	func -h ${SRCS} ${HDRS}	 	> reader.h

_readinit.c : ${SRCS}
	func -e lib.h ${SRCS}		> _readinit.c
	func -f ${SRCS}			>> _readinit.c
	func -i Reader ${SRCS}		>> _readinit.c

_sreadinit.c : ${SRCS}
	func -e _reader.h ${SRCS}	> _sreadinit.c
	func -f ${SRCS}			>> _sreadinit.c
	func -s Reader ${SRCS}		>> _sreadinit.c

fary.c	: ${SRCS}
	func -a lib.h ${HDRS} ${SRCS}	> fary.c

reader.a: readinit.o _readinit.o
	${AR} r reader.a readinit.o _readinit.o
	ranlib reader.a

sreader.a: sreadinit.o _sreadinit.o ${SOBJS}
	${AR} r sreader.a sreadinit.o _sreadinit.o ${SOBJS}
	ranlib sreader.a

test	: test.o sreader.a ${SLIBS}
	${CC} -o test test.o sreader.a ${SLIBS} -lm
